curl --request GET \
--url https://api.creatify.ai/api/aurora/{id}/ \
--header 'X-API-ID: <api-key>' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.creatify.ai/api/aurora/{id}/"
headers = {
"X-API-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-ID': '<api-key>', 'X-API-KEY': '<api-key>'}};
fetch('https://api.creatify.ai/api/aurora/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"audio": "<string>",
"image": "<string>",
"video_output": "<string>",
"credits_used": 123,
"duration": 123,
"progress": 123,
"failed_reason": "<string>",
"media_job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"is_hidden": true,
"preview": "<string>",
"editor_url": "<string>",
"name": "<string>",
"text_prompt": "<string>",
"prompt_guidance_scale": 1,
"model_version": "aurora_v1",
"resolution": "480p",
"webhook_url": "<string>"
}Get Aurora item by id
Authorizations
API ID, from your settings page.
API Key, from your settings page.
Path Parameters
A UUID string identifying this Avatar X Flow.
Response
Audio file url for the aurora video, 5 minutes max, 'mp3' and 'wav' formats only
Image file url for the aurora video, 'png', 'jpg', 'jpeg', 'webp' formats only
Video output URL
Credits used in this API call
Duration of the video in seconds
Progress of the job
Failed reason
Media job associated with this Avatar X Flow
pending- Pendingin_queue- In Queuerunning- Runningfailed- Faileddone- Donerejected- Rejected
pending, in_queue, running, failed, done, rejected Is the video hidden in the website projects page
Preview URL
Editor URL for the video. Expires in 24 hours. Available only if your API account has API editor access enabled. , expires in 24 hours.
Name of the aurora video
255Optional text prompt describing the desired visual style, atmosphere, or scene composition for the video. This can include details such as camera angles, lighting, mood, environment, subject expression, pose, motion, and other cinematic or artistic elements to guide video generation.
Prompt guidance scale for image-to-video generation (0.0 to 10.0)
Aurora model version to use for video generation. Default is 'aurora_v1'. 'aurora_v1' produces higher-quality videos (1 credit per second), while 'aurora_v1_fast' renders faster with lower quality (0.5 credits per second). 'aurora_v2' (Aurora 2.0) is priced by resolution (0.7 credits per second at the default 720p), takes up to 59.7 seconds of audio and ignores prompt_guidance_scale.
aurora_v1- Aurora v1aurora_v1_fast- Aurora v1 Fastaurora_v2- Aurora v2
aurora_v1, aurora_v1_fast, aurora_v2 Output resolution. Only applies to model_version 'aurora_v2' (Aurora 2.0): '480p' (0.4 credits per second), '720p' (0.7, the default), '1080p' (1.4) or '2k' (2.8, for audio up to 14.375 seconds).
480p- 480p720p- 720p1080p- 1080p2k- 2k
480p, 720p, 1080p, 2k Webhook URL for status updates. Default is null.
200
